#################################################
#
#  (C) 2021 Michele Calgaro
#  Michele (DOT) Calgaro (AT) yahoo.it
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

##### setup architecture flags ##################

tde_setup_architecture_flags( )

include(TestBigEndian)
test_big_endian(WORDS_BIGENDIAN)

tde_setup_largefiles( )


# tqt
find_package( TQt )

# check for polkit-gobject-1
pkg_search_module( POLKIT_GOBJECT polkit-gobject-1 )
if( NOT POLKIT_GOBJECT_FOUND )
  tde_message_fatal( "polkit-gobject-1 is required, but was not found on your system" )
endif( )

# check for polkit-agent-1
pkg_search_module( POLKIT_AGENT polkit-agent-1 )
if( NOT POLKIT_AGENT_FOUND )
  tde_message_fatal( "polkit-agent-1 is required, but was not found on your system" )
endif( )

# check for dbus-1-tqt
pkg_search_module( DBUS_TQT dbus-1-tqt )
if( NOT DBUS_TQT_FOUND )
	tde_message_fatal( "dbus-1-tqt is required, but was not found on your system" )
endif( )

# gcc visibility
if( WITH_GCC_VISIBILITY )
  tde_setup_gcc_visibility( )
endif( )
